<!-- <form>
<h1>Login form</h1>
Enter userName:<input type="text">
Enter password:<input type="password">
</form> -->

<!-- app.component.html -->

<h1>Employee Login</h1>

<div>
<form #loginForm="ngForm" (ngSubmit)="loginSubmit(loginForm.value)" novalidate>
    <table>   
      <tbody>
      
        <tr>
            <td>Email-Id</td>
            <td><input type="text" name="emailId" ngModel #emailId="ngModel" required minlength="2" maxlength="20"/> </td>
        </tr>
        <tr>
            <td>Password</td>
            <td><input type="password" name="password" ngModel #password="ngModel" required minlength="2" maxlength="10"/> </td>
        </tr>      
        <tr>
            <td></td>
            <td>
                <button  class="btn btn-secondary">Login</button> 
            </td>
        </tr>
      </tbody>
    </table>
</form>

<div>
    <div *ngIf="emailId.errors?.['required'] && emailId.touched" style="color: red;">Please Enter EmailId</div> <br/>
    <div *ngIf="emailId.errors?.['minlength'] && emailId.touched" style="color: red;">Enter Atleast 2 Characters for EmailId</div> <br/>

    <div *ngIf="password.errors?.['required'] && password.touched" style="color: red;">Please Enter Password</div> <br/>
    <div *ngIf="password.errors?.['minlength'] && password.touched" style="color: red;">Enter Atleast 2 Characters for Password</div> <br/>

</div>

</div>

